import * as path from "path";
import { fileURLToPath } from "url"; // ✅ Cần import từ 'url'

const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);

const CONSTANTS = {
  PROFILE_PATH: path.join(__dirname, "profiles"),
  LOCAL_DATA_PATH: path.join(__dirname, "local-data"),
  ERROR_IMAGES_PATH: path.join(__dirname, "error-images"),
  RECORD_VIDEO_PATH: path.join(__dirname, "videos"),
  TYPE_IMAGE: {
    ERRORS: "errors",
    SUCCESS: "success",
    WORK: "work",
  },
  KEEP_LIVE_URLS: ["https://auction.grays.com/confirmbid/index.html"],
};

export default CONSTANTS;
